package com.openhis.web.externalintegration.enums;

/**
 * 【BPC】支付方式
 *
 * @author Thanking
 * @date 2025-10-16
 */
public enum BpcPayType {

    /**
     * 支付宝
     */
    ALIPAY("ZFBA", "支付宝"),
    /**
     * 微信
     */
    WECHAT("WEIX", "微信"),
    /**
     * 银联二维码
     */
    UNION_QR("UPAY", "银联二维码"),
    /**
     * 数字人民币
     */
    DIGITAL_RMB("DCEP", "数字人民币"),
    /**
     * 银行卡
     */
    BANK_CARD("0001", "银行卡");

    private final String value;
    private final String description;

    BpcPayType(String value, String description) {
        this.value = value;
        this.description = description;
    }

    public String getValue() {
        return value;
    }

    public String getDescription() {
        return description;
    }

    public static BpcPayType getByValue(String value) {
        if (value == null || "".equals(value.trim())) {
            return null;
        }
        for (BpcPayType val : values()) {
            if (val.getValue().equals(value)) {
                return val;
            }
        }
        return null;
    }
}
